import "./public-path.js"
import * as monaco from 'monaco-editor';


self.MonacoEnvironment = {
	getWorkerUrl: function (moduleId, label) {
		if (label === 'json') {
			return window.monacoEditorWebPackResourceBaseUrl + './json.worker.bundle.js';
		}
		if (label === 'css') {
			return window.monacoEditorWebPackResourceBaseUrl + './css.worker.bundle.js';
		}
		if (label === 'html') {
			return window.monacoEditorWebPackResourceBaseUrl + './html.worker.bundle.js';
		}
		if (label === 'typescript' || label === 'javascript') {
			return window.monacoEditorWebPackResourceBaseUrl + './ts.worker.bundle.js';
		}
		return window.monacoEditorWebPackResourceBaseUrl + './editor.worker.bundle.js';
	}
}
